<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: JsonSerializer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dc5/class_json_serializer.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">JsonSerializer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> for sending RPC over network.  
 <a href="../../d2/dc5/class_json_serializer.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for JsonSerializer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/dc5/class_json_serializer.png" usemap="#JsonSerializer_map" alt=""/>
  <map id="JsonSerializer_map" name="JsonSerializer_map">
<area href="../../d0/dc2/class_serializer.html" title="Serialization general interface. Serializer API works with:" alt="Serializer" shape="rect" coords="0,0,93,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9b3283265e3c1c62e069d5ac7a572a6d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc5/class_json_serializer.html#a9b3283265e3c1c62e069d5ac7a572a6d">JsonSerializer</a> ()</td></tr>
<tr class="separator:a9b3283265e3c1c62e069d5ac7a572a6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e49492be3ebec0893bb541de0d7bc7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc5/class_json_serializer.html#a56e49492be3ebec0893bb541de0d7bc7">~JsonSerializer</a> ()</td></tr>
<tr class="separator:a56e49492be3ebec0893bb541de0d7bc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad495d16b59444b544c48504c288ebdd0"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc5/class_json_serializer.html#ad495d16b59444b544c48504c288ebdd0">WriteToString</a> (void variable_out, <a class="el" href="../../d9/db9/classbool.html">bool</a> nice, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> result)</td></tr>
<tr class="memdesc:ad495d16b59444b544c48504c288ebdd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Script variable serialization to json string.  <a href="../../d2/dc5/class_json_serializer.html#ad495d16b59444b544c48504c288ebdd0">More...</a><br /></td></tr>
<tr class="separator:ad495d16b59444b544c48504c288ebdd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabcf66141b87838da4130459aba6039f"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc5/class_json_serializer.html#aabcf66141b87838da4130459aba6039f">ReadFromString</a> (void variable_in, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> jsonString, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> error)</td></tr>
<tr class="memdesc:aabcf66141b87838da4130459aba6039f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Json string deserialization to script variable.  <a href="../../d2/dc5/class_json_serializer.html#aabcf66141b87838da4130459aba6039f">More...</a><br /></td></tr>
<tr class="separator:aabcf66141b87838da4130459aba6039f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> for sending RPC over network. </p>
<div class="fragment"><div class="line"><span class="comment">// example sending</span></div>
<div class="line"><span class="keywordtype">void</span> Send()</div>
<div class="line">{</div>
<div class="line">    <a class="code hl_class" href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a> rpc = <span class="keyword">new</span> <a class="code hl_class" href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a>();</div>
<div class="line"> </div>
<div class="line">    rpc.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(645);</div>
<div class="line">    rpc.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(<span class="stringliteral">&quot;hello&quot;</span>);</div>
<div class="line">    </div>
<div class="line">    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a> farray = {1.2, 5.6, 8.1};</div>
<div class="line">    rpc.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(farray);</div>
<div class="line"> </div>
<div class="line">    rpc.<a class="code hl_function" href="../../d5/d8a/class_script_r_p_c.html#a96f5185fa93cf7f008fba76a0e7729b9">Send</a>(<a class="code hl_variable" href="../../d5/d78/group___enforce.html#a98fab370b3e6270a66843b1864f8acdd">m_Player</a>, <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_TEST, <span class="keyword">true</span>, <a class="code hl_variable" href="../../d5/d78/group___enforce.html#a98fab370b3e6270a66843b1864f8acdd">m_Player</a>.GetIdentity());</div>
<div class="line">}</div>
<div class="line"> </div>
<div class="line"><span class="comment">// example receive</span></div>
<div class="line"><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d78/group___enforce.html#a059c1976c2e71cf6286fa442f74853ca">OnRPC</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx)</div>
<div class="line">{</div>
<div class="line">    <span class="keywordtype">int</span> num;</div>
<div class="line">    <span class="keywordtype">string</span> text;</div>
<div class="line">    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a> farray;</div>
<div class="line"> </div>
<div class="line">    ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(num);</div>
<div class="line">    ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(text);</div>
<div class="line">    ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(farray);</div>
<div class="line">}</div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="aclass_script_r_p_c_html"><div class="ttname"><a href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00104">gameplay.c:105</a></div></div>
<div class="ttc" id="aclass_script_r_p_c_html_a96f5185fa93cf7f008fba76a0e7729b9"><div class="ttname"><a href="../../d5/d8a/class_script_r_p_c.html#a96f5185fa93cf7f008fba76a0e7729b9">ScriptRPC::Send</a></div><div class="ttdeci">proto native void Send(Object target, int rpc_type, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">Initiate remote procedure call. When called on client, RPC is evaluated on server; When called on ser...</div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_a059c1976c2e71cf6286fa442f74853ca"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a059c1976c2e71cf6286fa442f74853ca">Managed::OnRPC</a></div><div class="ttdeci">void OnRPC(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00200">TransferValues.c:200</a></div></div>
<div class="ttc" id="agroup___enforce_html_a98fab370b3e6270a66843b1864f8acdd"><div class="ttname"><a href="../../d5/d78/group___enforce.html#a98fab370b3e6270a66843b1864f8acdd">Managed::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d9e/_transfer_values_8c_source.html#l00013">TransferValues.c:13</a></div></div>
</div><!-- fragment --> 
<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00049">49</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9b3283265e3c1c62e069d5ac7a572a6d" name="a9b3283265e3c1c62e069d5ac7a572a6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b3283265e3c1c62e069d5ac7a572a6d">&#9670;&#160;</a></span>JsonSerializer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void JsonSerializer::JsonSerializer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00051">51</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>

</div>
</div>
<a id="a56e49492be3ebec0893bb541de0d7bc7" name="a56e49492be3ebec0893bb541de0d7bc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56e49492be3ebec0893bb541de0d7bc7">&#9670;&#160;</a></span>~JsonSerializer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void JsonSerializer::~JsonSerializer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00052">52</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aabcf66141b87838da4130459aba6039f" name="aabcf66141b87838da4130459aba6039f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabcf66141b87838da4130459aba6039f">&#9670;&#160;</a></span>ReadFromString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d9/db9/classbool.html">bool</a> JsonSerializer::ReadFromString </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>variable_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>jsonString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>error</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Json string deserialization to script variable. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">variable_in</td><td>script variable to be deserialized from string </td></tr>
    <tr><td class="paramname">jsonString</td><td>the input string </td></tr>
    <tr><td class="paramname">error</td><td>from the deserialization. Is used only if the return value of the function is false </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>if the deserialization was successful <div class="fragment"><div class="line"><span class="comment">// Example json</span></div>
<div class="line"><span class="comment">//  {</span></div>
<div class="line"><span class="comment">//    &quot;i&quot;: 6,                                 // Int</span></div>
<div class="line"><span class="comment">//    &quot;f&quot;: 3.5,                               // Float</span></div>
<div class="line"><span class="comment">//    &quot;v&quot;: [1.1,2.2,3.3]                      // Vector3 is static array of size 3</span></div>
<div class="line"><span class="comment">//    &quot;s&quot;: &quot;string&quot;,                          // String</span></div>
<div class="line"><span class="comment">//    &quot;subData&quot;: {                            // Object</span></div>
<div class="line"><span class="comment">//      &quot;staticIArr&quot;: [9,8],                  // Static array (of ints)</span></div>
<div class="line"><span class="comment">//      &quot;dynamicSArr&quot;: [&quot;string1&quot;,&quot;string2&quot;]  // Dynamic array (of strings)</span></div>
<div class="line"><span class="comment">//    },                                      //</span></div>
<div class="line"><span class="comment">//    &quot;fSet&quot;: [12.3,14.7],                    // Set (of floats)</span></div>
<div class="line"><span class="comment">//    &quot;ifMap&quot;: {                              // Map (of int, float), only valid key type is int, enum, string</span></div>
<div class="line"><span class="comment">//      &quot;3&quot;: 4.5,                             // Map key has to be as string</span></div>
<div class="line"><span class="comment">//      &quot;4&quot;: 5.5</span></div>
<div class="line"><span class="comment">//    }</span></div>
<div class="line"><span class="comment">//  }</span></div>
<div class="line"> </div>
<div class="line"><a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">Data</a> data = <span class="keyword">new</span> <a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">Data</a>;</div>
<div class="line"><span class="keywordtype">string</span> input = <span class="comment">// valid json string;</span></div>
<div class="line"><span class="keywordtype">string</span> error;</div>
<div class="line"><span class="keywordtype">bool</span> ok = js.ReadFromString(data, input, error);</div>
<div class="ttc" id="a_json_data_contaminated_area_8c_html_a2cfb9787941bf75eaaecaa2b07b56459"><div class="ttname"><a href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">Data</a></div><div class="ttdeci">JsonDataAreaData Data</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2c/_json_data_contaminated_area_8c_source.html#l00013">JsonDataContaminatedArea.c:13</a></div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<a id="ad495d16b59444b544c48504c288ebdd0" name="ad495d16b59444b544c48504c288ebdd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad495d16b59444b544c48504c288ebdd0">&#9670;&#160;</a></span>WriteToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d9/db9/classbool.html">bool</a> JsonSerializer::WriteToString </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>variable_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>nice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Script variable serialization to json string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">variable_out</td><td>script variable to be serialized to string </td></tr>
    <tr><td class="paramname">nice</td><td>if the string should be formated for human readability </td></tr>
    <tr><td class="paramname">result</td><td>from the serialization, output or error depending on the return value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>if the serialization was successful <div class="fragment"><div class="line"><a class="code hl_variable" href="../../d4/d2c/_json_data_contaminated_area_8c.html#a2cfb9787941bf75eaaecaa2b07b56459">Data</a> data;</div>
<div class="line"><span class="keywordtype">string</span> textOut; </div>
<div class="line"><span class="keywordtype">bool</span> nice = <span class="keyword">false</span>;</div>
<div class="line"><a class="code hl_class" href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a> js = <span class="keyword">new</span> <a class="code hl_function" href="../../d2/dc5/class_json_serializer.html#a9b3283265e3c1c62e069d5ac7a572a6d">JsonSerializer</a>();</div>
<div class="line"><span class="keywordtype">bool</span> ok = js.<a class="code hl_function" href="../../d2/dc5/class_json_serializer.html#ad495d16b59444b544c48504c288ebdd0">WriteToString</a>(data, <span class="keyword">false</span>, textOut);   </div>
<div class="ttc" id="aclass_json_serializer_html"><div class="ttname"><a href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a></div><div class="ttdoc">Class for sending RPC over network.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00049">gameplay.c:50</a></div></div>
<div class="ttc" id="aclass_json_serializer_html_a9b3283265e3c1c62e069d5ac7a572a6d"><div class="ttname"><a href="../../d2/dc5/class_json_serializer.html#a9b3283265e3c1c62e069d5ac7a572a6d">JsonSerializer::JsonSerializer</a></div><div class="ttdeci">void JsonSerializer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00051">gameplay.c:51</a></div></div>
<div class="ttc" id="aclass_json_serializer_html_ad495d16b59444b544c48504c288ebdd0"><div class="ttname"><a href="../../d2/dc5/class_json_serializer.html#ad495d16b59444b544c48504c288ebdd0">JsonSerializer::WriteToString</a></div><div class="ttdeci">proto bool WriteToString(void variable_out, bool nice, out string result)</div><div class="ttdoc">Script variable serialization to json string.</div></div>
</div><!-- fragment --> </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
